/**
 * Marlin 3D Printer Firmware
 * Copyright (c) 2020 MarlinFirmware [https://github.com/MarlinFirmware/Marlin]
 *
 * Based on Sprinter and grbl.
 * Copyright (c) 2011 Camiel Gubbels / Erik van der Zalm
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */
#pragma once

//*************法文****************************//
#define TOOL_TEXT_FR                  "Prêt"
#define PREHEAT_TEXT_FR               "Préchauffe"
#define MOVE_TEXT_FR                  "Déplace"
#define HOME_TEXT_FR                  "Acceuil"
#define PRINT_TEXT_FR                 "Impression"
#define EXTRUDE_TEXT_FR               "Extruder"
#define LEVELING_TEXT_FR              "Leveling"
#define AUTO_LEVELING_TEXT_FR         "AutoLevel"
#define SET_TEXT_FR                   "Config"
#define MORE_TEXT_FR                  "Plus"
#define MORE_GCODE_FR                 "G-Code"
#define MORE_ENTER_GCODE_FR           "Saisir G-Code"

#define ADD_TEXT_FR                   "Ajouter"
#define DEC_TEXT_FR                   "Réduire"
#define EXTRUDER_1_TEXT_FR            "Extr1"
#define EXTRUDER_2_TEXT_FR            "Extr2"
#define HEATBED_TEXT_FR               "Hotlit"
#define TEXT_1C_FR                    "1℃"
#define TEXT_5C_FR                    "5℃"
#define TEXT_10C_FR                   "10℃"
#define CLOSE_TEXT_FR                 "Off"

#define BACK_TEXT_FR                  "Arrière"

#define TOOL_PREHEAT_FR               "Préchauffe"
#define TOOL_EXTRUDE_FR               "Extruder"
#define TOOL_MOVE_FR                  "Déplace"
#define TOOL_HOME_FR                  "Acceuil"
#define TOOL_LEVELING_FR              "Leveling"
#define TOOL_AUTO_LEVELING_FR         "AutoLevel"
#define TOOL_FILAMENT_FR              "Filament"
#define TOOL_MORE_FR                  "Plus"

#define AXIS_X_ADD_TEXT_FR            "X+"
#define AXIS_X_DEC_TEXT_FR            "X-"
#define AXIS_Y_ADD_TEXT_FR            "Y+"
#define AXIS_Y_DEC_TEXT_FR            "Y-"
#define AXIS_Z_ADD_TEXT_FR            "Z+"
#define AXIS_Z_DEC_TEXT_FR            "Z-"
#define TEXT_01MM_FR                  "0.1mm"
#define TEXT_1MM_FR                   "1mm"
#define TEXT_10MM_FR                  "10mm"

#define HOME_X_TEXT_FR                "X"
#define HOME_Y_TEXT_FR                "Y"
#define HOME_Z_TEXT_FR                "Z"
#define HOME_ALL_TEXT_FR              "ALL"
#define HOME_STOPMOVE_FR              "Quickstop"

#define PAGE_UP_TEXT_FR               "En haut"
#define PAGE_DOWN_TEXT_FR             "En bas"

#define EXTRUDER_IN_TEXT_FR           "Insérer"
#define EXTRUDER_OUT_TEXT_FR          "Éjecter"
#define EXTRUDE_1MM_TEXT_FR           "1mm"
#define EXTRUDE_5MM_TEXT_FR           "5mm"
#define EXTRUDE_10MM_TEXT_FR          "10mm"
#define EXTRUDE_LOW_SPEED_TEXT_FR     "Lente"
#define EXTRUDE_MEDIUM_SPEED_TEXT_FR  "Moyen"
#define EXTRUDE_HIGH_SPEED_TEXT_FR    "Rapide"

#define LEVELING_POINT1_TEXT_FR       "Premier"
#define LEVELING_POINT2_TEXT_FR       "Seconde"
#define LEVELING_POINT3_TEXT_FR       "Troisième"
#define LEVELING_POINT4_TEXT_FR       "Quatrième"
#define LEVELING_POINT5_TEXT_FR       "Cinquième"

#define FILESYS_TEXT_FR               "Fichier"
#define WIFI_TEXT_FR                  "WiFi"
#define FAN_TEXT_FR                   "Fan"
#define ABOUT_TEXT_FR                 "À propos"
#define BREAK_POINT_TEXT_FR           "Continuer"
#define FILAMENT_TEXT_FR              "Remplacer"
#define LANGUAGE_TEXT_FR              "Langue"
#define MOTOR_OFF_TEXT_FR             "M-hors"
#define MOTOR_OFF_XY_TEXT_FR          "M-hors-XY"
#define SHUTDOWN_TEXT_FR              "Éteindre"
#define MACHINE_PARA_FR               "Config"
#define EEPROM_SETTINGS_FR            "Eeprom Set"

#define U_DISK_TEXT_FR                "Clé usb"
#define SD_CARD_TEXT_FR               "Carte SD"
#define WIFI_NAME_TEXT_FR             "WiFi: "
#define WIFI_KEY_TEXT_FR              "Key: "
#define WIFI_IP_TEXT_FR               "IP: "
#define WIFI_AP_TEXT_FR               "Etat: AP"
#define WIFI_STA_TEXT_FR              "Etat: STA"
#define WIFI_CONNECTED_TEXT_FR        "Connecté"
#define WIFI_DISCONNECTED_TEXT_FR     "Déconnecté"
#define WIFI_EXCEPTION_TEXT_FR        "Exception"
#define WIFI_RECONNECT_TEXT_FR        "Reconnect"
#define CLOUD_TEXT_FR                 "Cloud"
#define CLOUD_BIND_FR                 "Lié"
#define CLOUD_UNBIND_FR               "Délier"
#define CLOUD_UNBINDING_FR            "Délier"
#define CLOUD_DISCONNECTED_FR         "Déconnecté"
#define CLOUD_UNBINDED_FR             "Délier"
#define CLOUD_BINDED_FR               "Lié"
#define CLOUD_DISABLE_FR              "Désactiver"

#define FAN_ADD_TEXT_FR               "Ajouter"
#define FAN_DEC_TEXT_FR               "Réduire"
#define FAN_OPEN_TEXT_FR              "100%"
#define FAN_HALF_TEXT_FR              "50%"
#define FAN_CLOSE_TEXT_FR             "0%"
#define FAN_TIPS1_TEXT_FR             "ventilateur"
#define FAN_TIPS2_TEXT_FR             "ventilateur\n0"

#define FILAMENT_IN_TEXT_FR           "Insérer"
#define FILAMENT_OUT_TEXT_FR          "Éjecter"
#define FILAMENT_EXT0_TEXT_FR         "Extr1"
#define FILAMENT_EXT1_TEXT_FR         "Extr2"
#define FILAMENT_HEAT_TEXT_FR         "Preheat"
#define FILAMENT_STOP_TEXT_FR         "Arrêter"
#define FILAMENT_TIPS2_TEXT_FR        "T:"
#define FILAMENT_TIPS3_TEXT_FR        "Insérer le filament..."
#define FILAMENT_TIPS4_TEXT_FR        "Éjecter le filament..."
#define FILAMENT_TIPS5_TEXT_FR        "Température trop basse pour démarrer, chauffez svp"
#define FILAMENT_TIPS6_TEXT_FR        "Terminé"

#define FILAMENT_CHANGE_TEXT_FR                   "Veuillez presser <Load> \nou <unload>, après \nla pause."
#define FILAMENT_DIALOG_LOAD_HEAT_TIPS_FR         "Chauffe de la tête\nPatientez SVP..."
#define FILAMENT_DIALOG_UNLOAD_HEAT_TIPS_FR       "Chauffe de la tête\nPatientez SVP..."
#define FILAMENT_DIALOG_LOAD_CONFIRM1_TIPS_FR     "Tête chaude, veuillez charger le\nfilament dans l'extruder & <confirmer>\nle chargement."
#define FILAMENT_DIALOG_LOAD_CONFIRM2_TIPS_FR     "Veuillez charger le filament dans\nl'extruder & <confirmer> le chargement."
#define FILAMENT_DIALOG_UNLOAD_CONFIRM_TIPS_FR    "Tête chaude, <confirmez>\npour le déchargement."
#define FILAMENT_DIALOG_LOADING_TIPS_FR           "Chargement, patientez SVP."
#define FILAMENT_DIALOG_UNLOADING_TIPS_FR         "Déchargement, patientez SVP."
#define FILAMENT_DIALOG_LOAD_COMPLETE_TIPS_FR     "Chargement terminé,\n<confirmez> pour revenir!"
#define FILAMENT_DIALOG_UNLOAD_COMPLETE_TIPS_FR   "Déchargement terminé,\n<confirmez> pour revenir!"


#define PRE_HEAT_EXT_TEXT_FR          "E"
#define PRE_HEAT_BED_TEXT_FR          "Bed"

#define FILE_LOADING_FR               "Chargement......"
#define NO_FILE_AND_CHECK_FR          "Aucun fichier, vérifiez à nouveau!"
#define NO_FILE_FR                    "Pas de fichier!"

#define EXTRUDER_TEMP_TEXT_FR         "Temper"
#define EXTRUDER_E_LENGTH1_TEXT_FR    "Extruder1"
#define EXTRUDER_E_LENGTH2_TEXT_FR    "Extruder2"
#define EXTRUDER_E_LENGTH3_TEXT_FR    "Extruder3"

#define ABOUT_TYPE_TEXT_FR            "Type: "
#define ABOUT_VERSION_TEXT_FR         "Firmware: "
#define ABOUT_WIFI_TEXT_FR            "Wifi: "

#define PRINTING_OPERATION_FR         "Option"
#define PRINTING_PAUSE_FR             "Pause"
#define PRINTING_TEMP_FR              "Temp."
#define PRINTING_CHANGESPEED_FR       "Speed"
#define PRINTING_RESUME_FR            "Reprendre"
#define PRINTING_STOP_FR              "Stop"
#define PRINTING_MORE_FR              "Plus"
#define PRINTING_EXTRUDER_FR          "Extruder"
#define PRINTING_MOVE_FR              "Déplace"

#define EXTRUDER_SPEED_FR             "Extruder"
#define MOVE_SPEED_FR                 "Déplace"
#define EXTRUDER_SPEED_STATE_FR       "Vitesse d'extrusion"
#define MOVE_SPEED_STATE_FR           "vitesse de déplacement"
#define STEP_1PERCENT_FR              "1%"
#define STEP_5PERCENT_FR              "5%"
#define STEP_10PERCENT_FR             "10%"

#define TITLE_READYPRINT_FR           "Prête"
#define TITLE_PREHEAT_FR              "Préchauffe"
#define TITLE_MOVE_FR                 "Déplace"
#define TITLE_HOME_FR                 "Acceuil"
#define TITLE_EXTRUDE_FR              "Extruder"
#define TITLE_LEVELING_FR             "Leveling"
#define TITLE_SET_FR                  "Paramètres"
#define TITLE_MORE_FR                 "Plus"
#define TITLE_CHOOSEFILE_FR           "Fichier"
#define TITLE_PRINTING_FR             "Pimpression"
#define TITLE_OPERATION_FR            "Option"
#define TITLE_ADJUST_FR               "Réglage"
#define TITLE_WIRELESS_FR             "Sans fil"
#define TITLE_FILAMENT_FR             "Remplacer"
#define TITLE_ABOUT_FR                "À propos"
#define TITLE_FAN_FR                  "Ventilateur"
#define TITLE_LANGUAGE_FR             "Langue"
#define TITLE_PAUSE_FR                "Pause"
#define TITLE_CHANGESPEED_FR          "Vitesse"
#define TITLE_CLOUD_TEXT_FR           "Cloud"
#define TITLE_DIALOG_CONFIRM_FR       "Confirmer"
#define TITLE_FILESYS_FR              "FileSys"

#define DIALOG_CLOSE_MACHINE_FR       "Extinction..."

#define AUTO_SHUTDOWN_FR              "Auto"
#define MANUAL_SHUTDOWN_FR            "Manuel"

#define DIALOG_CONFIRM_FR             "Confirmer"
#define DIALOG_CANCLE_FR              "Annuler"
#define DIALOG_OK_FR                  "OK"
#define DIALOG_RESET_FR               "Réinitialiser"
#define DIALOG_RETRY_FR               "Recommencez"
#define DIALOG_DISABLE_FR             "Désactiver"
#define DIALOG_PRINT_MODEL_FR         "Imprimer le fichier?"
#define DIALOG_CANCEL_PRINT_FR        "Arrêter?"

#define DIALOG_STOP_FR                "Arrêter"
#define DIALOG_REPRINT_FROM_BREAKPOINT_FR "Continuer?"
#define DIALOG_ERROR_TIPS1_FR         "Erreur:error:Aucun fichier, \nvérifiez à nouveau."
#define DIALOG_ERROR_TIPS2_FR         "Erreur:La opération a échoué. \nVerifiez que le baudrate de l'écran et de \nla carte mère soient identique!"
#define DIALOG_ERROR_TIPS3_FR         "Erreur: le nom du fichier ou le \nchemin d'accès est trop long."
#define DIALOG_UNBIND_PRINTER_FR      "Déconnecter l'imprimante?"
#define DIALOG_FILAMENT_NO_PRESS_FR   "Détecteur de filament non pressé"
#define DIALOG_PRINT_FINISH_FR        "L'impression est terminée!"
#define DIALOG_PRINT_TIME_FR          "Temps d'impression: "
#define DIALOG_REPRINT_FR             "Réimprimer"
#define DIALOG_WIFI_ENABLE_TIPS_FR    "Le module WIFI se charge\nAttendez SVP..."

#define MESSAGE_PAUSING_FR        "Parking..."
#define MESSAGE_CHANGING_FR       "Attente filament pour démarrer"
#define MESSAGE_UNLOAD_FR         "Attente retrait du filament"
#define MESSAGE_WAITING_FR        "Presser bouton, pour reprendre"
#define MESSAGE_INSERT_FR         "Insérer filament et app. bouton pour continuer..."
#define MESSAGE_LOAD_FR           "Attente chargement filament"
#define MESSAGE_PURGE_FR          "Attente purge filament"
#define MESSAGE_RESUME_FR         "Attente reprise impression"
#define MESSAGE_HEAT_FR           "Presser le bouton pour chauffer..."
#define MESSAGE_HEATING_FR        "Buse en chauffe Patienter SVP..."
#define MESSAGE_OPTION_FR         "Purger davantage ou continuer l'impression?"
#define MESSAGE_PURGE_MORE_FR     "Purge"
#define MESSAGE_CONTINUE_PRINT_FR "Impression"
#define EEPROM_SETTINGS_TITLE_FR  "Paramètres EEPROM"
#define EEPROM_SETTINGS_STORE_FR  "Stocker les paramètres dans l'EEPROM"
#define EEPROM_SETTINGS_READ_FR   "Lire les paramètres de l'EEPROM"
#define EEPROM_SETTINGS_REVERT_FR "Rétablir les paramètres par défaut d'usine"

#define EEPROM_STORE_TIPS_FR  "Stocker les paramètres dans l'EEPROM?"
#define EEPROM_READ_TIPS_FR   "Lire les paramètres de l'EEPROM?"
#define EEPROM_REVERT_TIPS_FR "Rétablir les paramètres par défaut d'usine?"

#define MORE_CUSTOM1_TEXT_FR  USER_DESC_1
#define MORE_CUSTOM2_TEXT_FR  USER_DESC_2
#define MORE_CUSTOM3_TEXT_FR  USER_DESC_3
#define MORE_CUSTOM4_TEXT_FR  USER_DESC_4
#define MORE_CUSTOM5_TEXT_FR  USER_DESC_5
#define MORE_CUSTOM6_TEXT_FR  USER_DESC_6
