/**
 * Marlin 3D Printer Firmware
 * Copyright (c) 2020 MarlinFirmware [https://github.com/MarlinFirmware/Marlin]
 *
 * Based on Sprinter and grbl.
 * Copyright (c) 2011 Camiel Gubbels / Erik van der Zalm
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */
#pragma once

//****************意大利语***************************//
#define TOOL_TEXT_IT                  "Strumento"
#define PREHEAT_TEXT_IT               "Prerisc"
#define MOVE_TEXT_IT                  "Muovi"
#define HOME_TEXT_IT                  "Home"
#define PRINT_TEXT_IT                 "Stampa"
#define EXTRUDE_TEXT_IT               "Estrude"
#define LEVELING_TEXT_IT              "Leveling"
#define AUTO_LEVELING_TEXT_IT         "AutoLevel"
#define SET_TEXT_IT                   "Imposta"
#define MORE_TEXT_IT                  "Di più"
#define MORE_GCODE_IT                 "G-Code"
#define MORE_ENTER_GCODE_IT           "Inserisci il G-Code"

#define ADD_TEXT_IT                   "Aumentare"
#define DEC_TEXT_IT                   "Ridurre"
#define EXTRUDER_1_TEXT_IT            "Estrude1"
#define EXTRUDER_2_TEXT_IT            "Estrude2"
#define HEATBED_TEXT_IT               "Piano"
#define TEXT_1C_IT                    "1℃"
#define TEXT_5C_IT                    "5℃"
#define TEXT_10C_IT                   "10℃"
#define CLOSE_TEXT_IT                 "Spento"

#define BACK_TEXT_IT                  "Indietro"

#define TOOL_PREHEAT_IT               "Prerisc"
#define TOOL_EXTRUDE_IT               "Estrude"
#define TOOL_MOVE_IT                  "Muovi"
#define TOOL_HOME_IT                  "Home"
#define TOOL_LEVELING_IT              "Leveling"
#define TOOL_AUTO_LEVELING_IT         "Autolevel"
#define TOOL_FILAMENT_IT              "Filamento"
#define TOOL_MORE_IT                  "Di più"

#define AXIS_X_ADD_TEXT_IT            "X+"
#define AXIS_X_DEC_TEXT_IT            "X-"
#define AXIS_Y_ADD_TEXT_IT            "Y+"
#define AXIS_Y_DEC_TEXT_IT            "Y-"
#define AXIS_Z_ADD_TEXT_IT            "Z+"
#define AXIS_Z_DEC_TEXT_IT            "Z-"
#define TEXT_01MM_IT                  "0.1mm"
#define TEXT_1MM_IT                   "1mm"
#define TEXT_10MM_IT                  "10mm"

#define HOME_X_TEXT_IT                "X"
#define HOME_Y_TEXT_IT                "Y"
#define HOME_Z_TEXT_IT                "Z"
#define HOME_ALL_TEXT_IT              "All"
#define HOME_STOPMOVE_IT              "Quickstop"

#define PAGE_UP_TEXT_IT               "Pagina su"
#define PAGE_DOWN_TEXT_IT             "Pagina giù"

#define EXTRUDER_IN_TEXT_IT           "Estru"
#define EXTRUDER_OUT_TEXT_IT          "Ritra"
#define EXTRUDE_1MM_TEXT_IT           "1mm"
#define EXTRUDE_5MM_TEXT_IT           "5mm"
#define EXTRUDE_10MM_TEXT_IT          "10mm"
#define EXTRUDE_LOW_SPEED_TEXT_IT     "Bassa"
#define EXTRUDE_MEDIUM_SPEED_TEXT_IT  "Media"
#define EXTRUDE_HIGH_SPEED_TEXT_IT    "Alta"

#define LEVELING_POINT1_TEXT_IT       "Primo"
#define LEVELING_POINT2_TEXT_IT       "Secondo"
#define LEVELING_POINT3_TEXT_IT       "Terzo"
#define LEVELING_POINT4_TEXT_IT       "Quarto"
#define LEVELING_POINT5_TEXT_IT       "Quinto"

#define FILESYS_TEXT_IT               "FileSys"
#define WIFI_TEXT_IT                  "WIFI"
#define FAN_TEXT_IT                   "Ventola"
#define ABOUT_TEXT_IT                 "Circa"
#define BREAK_POINT_TEXT_IT           "Continua"
#define FILAMENT_TEXT_IT              "Filamento"
#define LANGUAGE_TEXT_IT              "Lingua"
#define MOTOR_OFF_TEXT_IT             "Motor off"
#define MOTOR_OFF_XY_TEXT_IT          "Off-XY"
#define SHUTDOWN_TEXT_IT              "Spento"
#define MACHINE_PARA_IT               "Config"
#define EEPROM_SETTINGS_IT            "Eeprom Set"

#define U_DISK_TEXT_IT                "USB"
#define SD_CARD_TEXT_IT               "SD"
#define WIFI_NAME_TEXT_IT             "WIFI: "
#define WIFI_KEY_TEXT_IT              "KEY: "
#define WIFI_IP_TEXT_IT               "IP: "
#define WIFI_AP_TEXT_IT               "Stato: AP"
#define WIFI_STA_TEXT_IT              "Stato: STA"
#define WIFI_CONNECTED_TEXT_IT        "Connesso"
#define WIFI_DISCONNECTED_TEXT_IT     "Disconnesso"
#define WIFI_EXCEPTION_TEXT_IT        "Eccezione"
#define WIFI_RECONNECT_TEXT_IT        "Reconnect"
#define CLOUD_TEXT_IT                 "Cloud"
#define CLOUD_BIND_IT                 "Legato"
#define CLOUD_UNBIND_IT               "Libero"
#define CLOUD_DISCONNECTED_IT         "Disconnesso"
#define CLOUD_UNBINDING_IT            "Libero"
#define CLOUD_UNBINDED_IT             "Sciolto"
#define CLOUD_BINDED_IT               "Legato"
#define CLOUD_DISABLE_IT              "Disable"

#define FAN_ADD_TEXT_IT               "Aumentare"
#define FAN_DEC_TEXT_IT               "Ridurre"
#define FAN_OPEN_TEXT_IT              "100%"
#define FAN_HALF_TEXT_IT              "50%"
#define FAN_CLOSE_TEXT_IT             "Spento"
#define FAN_TIPS1_TEXT_IT             "Ventola"
#define FAN_TIPS2_TEXT_IT             "Ventola\n0"

#define FILAMENT_IN_TEXT_IT           "Inser"
#define FILAMENT_OUT_TEXT_IT          "Estra"
#define FILAMENT_EXT0_TEXT_IT         "Estrude1"
#define FILAMENT_EXT1_TEXT_IT         "Estrude2"
#define FILAMENT_HEAT_TEXT_IT         "Preriscaldamento"
#define FILAMENT_STOP_TEXT_IT         "Stop"
#define FILAMENT_TIPS2_TEXT_IT        "T:"
#define FILAMENT_TIPS3_TEXT_IT        "Inserimento del filamento..."
#define FILAMENT_TIPS4_TEXT_IT        "Estrazione del filamento..."
#define FILAMENT_TIPS5_TEXT_IT        "Temp is too low to go,please heat"
#define FILAMENT_TIPS6_TEXT_IT        "Completato"

#define FILAMENT_CHANGE_TEXT_IT                 "Please click <Load> \nor <unload>,After \npinter pause."
#define FILAMENT_DIALOG_LOAD_HEAT_TIPS_IT       "Heating up the nozzle,please wait..."
#define FILAMENT_DIALOG_UNLOAD_HEAT_TIPS_IT     "Heating up the nozzle,please wait..."
#define FILAMENT_DIALOG_LOAD_CONFIRM1_TIPS_IT   "Heat completed,please load filament \nto extruder,and click <confirm> \nfor start loading."
#define FILAMENT_DIALOG_LOAD_CONFIRM2_TIPS_IT   "Please load filament to extruder,\nand click <confirm> for start loading."
#define FILAMENT_DIALOG_UNLOAD_CONFIRM_TIPS_IT  "Heat completed,please \nclick <confirm> for start unloading.!"
#define FILAMENT_DIALOG_LOADING_TIPS_IT         "Is loading ,please wait!"
#define FILAMENT_DIALOG_UNLOADING_TIPS_IT       "Is unloading,please wait!"
#define FILAMENT_DIALOG_LOAD_COMPLETE_TIPS_IT   "Load filament completed,\nclick <confirm> for return!"
#define FILAMENT_DIALOG_UNLOAD_COMPLETE_TIPS_IT "Unload filament completed,\nclick <confirm> for return!"

#define PRE_HEAT_EXT_TEXT_IT              "E"
#define PRE_HEAT_BED_TEXT_IT              "Piano"

#define FILE_LOADING_IT                   "Caricamento......"
#define NO_FILE_AND_CHECK_IT              "Nessun file,\n          per favore controllare di nuovo!"
#define NO_FILE_IT                        "Nessun file!"

#define EXTRUDER_TEMP_TEXT_IT             "Temper"
#define EXTRUDER_E_LENGTH1_TEXT_IT        "Estrude1"
#define EXTRUDER_E_LENGTH2_TEXT_IT        "Estrude2"
#define EXTRUDER_E_LENGTH3_TEXT_IT        "Estrude3"

#define ABOUT_TYPE_TEXT_IT                "Type: "
#define ABOUT_VERSION_TEXT_IT             "Firmware: "
#define ABOUT_WIFI_TEXT_IT                "WiFi: "

#define PRINTING_OPERATION_IT             "Opzioni"
#define PRINTING_PAUSE_IT                 "Pause"
#define PRINTING_TEMP_IT                  "Temp."
#define PRINTING_CHANGESPEED_IT           "Velocità"
#define PRINTING_RESUME_IT                "Recupero"
#define PRINTING_STOP_IT                  "Stop"
#define PRINTING_MORE_IT                  "Di più"
#define PRINTING_EXTRUDER_IT              "Estrude"
#define PRINTING_MOVE_IT                  "Muovi"

#define EXTRUDER_SPEED_IT                 "Estrude"
#define MOVE_SPEED_IT                     "Muovi"
#define EXTRUDER_SPEED_STATE_IT           "Estrusione"
#define MOVE_SPEED_STATE_IT               "Movimento"
#define STEP_1PERCENT_IT                  "1%"
#define STEP_5PERCENT_IT                  "5%"
#define STEP_10PERCENT_IT                 "10%"

#define TITLE_READYPRINT_IT               "Pronto"
#define TITLE_PREHEAT_IT                  "Preris"
#define TITLE_MOVE_IT                     "Muovi"
#define TITLE_HOME_IT                     "Home"
#define TITLE_EXTRUDE_IT                  "Estrude"
#define TITLE_LEVELING_IT                 "Livella"
#define TITLE_SET_IT                      "Impostare"
#define TITLE_MORE_IT                     "Di più"
#define TITLE_CHOOSEFILE_IT               "File"
#define TITLE_PRINTING_IT                 "Stampa"
#define TITLE_OPERATION_IT                "Opzioni"
#define TITLE_ADJUST_IT                   "Regolare"
#define TITLE_WIRELESS_IT                 "Wireless"
#define TITLE_FILAMENT_IT                 "Filamento"
#define TITLE_ABOUT_IT                    "Circa"
#define TITLE_FAN_IT                      "Ventola"
#define TITLE_LANGUAGE_IT                 "Lingua"
#define TITLE_PAUSE_IT                    "Pausa"
#define TITLE_CHANGESPEED_IT              "Velocità"
#define TITLE_CLOUD_TEXT_IT               "Cloud"
#define TITLE_DIALOG_CONFIRM_IT           "Confirm"
#define TITLE_FILESYS_IT                  "FileSys"

#define AUTO_SHUTDOWN_IT                  "Auto"
#define MANUAL_SHUTDOWN_IT                "Manuale"

#define DIALOG_CONFIRM_IT                 "Conferma"
#define DIALOG_CANCLE_IT                  "Cancella"
#define DIALOG_OK_IT                      "OK"
#define DIALOG_RESET_IT                   "Resettare"
#define DIALOG_RETRY_IT                   "Riprovare"
#define DIALOG_DISABLE_IT                 "Disable"
#define DIALOG_PRINT_MODEL_IT             "Gcode stampa?"
#define DIALOG_CANCEL_PRINT_IT            "Stop stampa?"
#define DIALOG_STOP_IT                    "Stop"
#define DIALOG_REPRINT_FROM_BREAKPOINT_IT "Continua a stampare dal \npunto di interruzione?"
#define DIALOG_ERROR_TIPS1_IT             "Errore: nessun file, \nper favore controllare di nuovo."
#define DIALOG_ERROR_TIPS2_IT             "Errore: operazione non riuscita, \nsi prega di controllare se il baudrate del \ndisplay è lo stesso scheda madre"
#define DIALOG_ERROR_TIPS3_IT             "Errore: il nome del file o il \npercorso è troppo lungo!"
#define DIALOG_CLOSE_MACHINE_IT           "Closing machine......"
#define DIALOG_UNBIND_PRINTER_IT          "Unbind the printer?"
#define DIALOG_FILAMENT_NO_PRESS_IT       "Filament detection switch is not pressed"
#define DIALOG_PRINT_FINISH_IT            "La stampa è completa!"
#define DIALOG_PRINT_TIME_IT              "Tempo di stampa: "
#define DIALOG_REPRINT_IT                 "Print again"
#define DIALOG_WIFI_ENABLE_TIPS_IT        "The wifi module is being configured,\nplease wait a moment....."

#define MESSAGE_PAUSING_IT                "Parcheggiando..."
#define MESSAGE_CHANGING_IT               "Attendere avvio del cambio di filamento"
#define MESSAGE_UNLOAD_IT                 "Attendere l'espulsione del filamento"
#define MESSAGE_WAITING_IT                "Premi per riprendere la stampa"
#define MESSAGE_INSERT_IT                 "Inserisci il filamento e premi per continuare"
#define MESSAGE_LOAD_IT                   "Attendere il caricamento del filamento"
#define MESSAGE_PURGE_IT                  "Attendere lo spurgo del filamento"
#define MESSAGE_RESUME_IT                 "Attendere la ripresa della stampa..."
#define MESSAGE_HEAT_IT                   "Premi per riscaldare ugello"
#define MESSAGE_HEATING_IT                "Riscaldam. ugello Attendere prego..."
#define MESSAGE_OPTION_IT                 "Eliminare di più o continuare a stampare?"
#define MESSAGE_PURGE_MORE_IT             "Epurazione"
#define MESSAGE_CONTINUE_PRINT_IT         "Stampa"
#define EEPROM_SETTINGS_TITLE_IT          "Impostazioni EEPROM"
#define EEPROM_SETTINGS_STORE_IT          "Memorizzare le impostazioni su EEPROM"
#define EEPROM_SETTINGS_READ_IT           "Leggi le impostazioni dalla EEPROM"
#define EEPROM_SETTINGS_REVERT_IT         "Ripristina le impostazioni predefinite di fabbrica"

#define EEPROM_STORE_TIPS_IT              "Memorizzare le impostazioni su EEPROM?"
#define EEPROM_READ_TIPS_IT               "Leggi le impostazioni dalla EEPROM?"
#define EEPROM_REVERT_TIPS_IT             "Ripristinare le impostazioni predefinite?"

#define MORE_CUSTOM1_TEXT_IT  USER_DESC_1
#define MORE_CUSTOM2_TEXT_IT  USER_DESC_2
#define MORE_CUSTOM3_TEXT_IT  USER_DESC_3
#define MORE_CUSTOM4_TEXT_IT  USER_DESC_4
#define MORE_CUSTOM5_TEXT_IT  USER_DESC_5
#define MORE_CUSTOM6_TEXT_IT  USER_DESC_6
